Subject: Re: [PATCH v5 0/8] rev-list: implement object type filter

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Apr 2021 16:16:58 -0700

Patrick Steinhardt <[email-masked]> writes:

> Hi,
>
> this is the fifth version of my patch series which implements a new
> `object:type` filter for git-rev-list(1) and git-upload-pack(1) and
> extends support for bitmap indices to work with combined filters.
>
> Changes compared to v4:
>
>     - I'm now explicitly passing `strlen(v0)` to
>       `type_from_string_gently()` to be prepared for the future
>       semantics change here.
>
>     - The error message printed in case the user passes in invalid
>       object type to `--filter=object:type=` now prints the wrong
>       value passed by the user.
>
>     - Fixed missing header in list-objects-filter-options.h.
>
>     - Tests now use test_create_repo and test_commit.
>
>     - Removed a needless subshell in the tests.
>
> I hope that this catches all feedback and that I didn't misunderstand or
> miss something. If I did, please give me a shout!

Thanks.  Will queue and wait.

I am expecting to go offline for about a week starting 21st or so;
hopefully the topyc is ready to merge it to 'next' by the time I
come back online.